# OpenGL debugging

## GstGLAsyncDebug

GstGLAsyncDebug an opaque structure and should only be accessed through the provided API.

## GstGL.GLAsyncDebug

GstGL.GLAsyncDebug an opaque structure and should only be accessed through the provided API.

## GstGL.GLAsyncDebug

GstGL.GLAsyncDebug an opaque structure and should only be accessed through the provided API.

### Methods

#### gst_gl_async_debug_free

    gst_gl_async_debug_free (GstGLAsyncDebug * ad)

Frees ad

Parameters:

`ad` –

a GstGLAsyncDebug

Since : 1.8

#### GstGL.GLAsyncDebug.prototype.free

    function GstGL.GLAsyncDebug.prototype.free(): {
        // javascript wrapper for 'gst_gl_async_debug_free'
    }

Frees ad

Parameters:

`ad` (GstGL.GLAsyncDebug) –

a GstGL.GLAsyncDebug

Since : 1.8

#### GstGL.GLAsyncDebug.free

    def GstGL.GLAsyncDebug.free (self):
        #python wrapper for 'gst_gl_async_debug_free'

Frees ad

Parameters:

`ad` (GstGL.GLAsyncDebug) –

a GstGL.GLAsyncDebug

Since : 1.8

#### gst_gl_async_debug_freeze

    gst_gl_async_debug_freeze (GstGLAsyncDebug * ad)

freeze the debug output. While frozen, any call to gst_gl_async_debug_output_log_msg will not output any messages but subsequent calls to gst_gl_async_debug_store_log_msg will overwrite previous messages.

Parameters:

`ad` –

a GstGLAsyncDebug

Since : 1.8

#### GstGL.GLAsyncDebug.prototype.freeze

    function GstGL.GLAsyncDebug.prototype.freeze(): {
        // javascript wrapper for 'gst_gl_async_debug_freeze'
    }

freeze the debug output. While frozen, any call to GstGL.GLAsyncDebug.prototype.output_log_msg will not output any messages but subsequent calls to gst_gl_async_debug_store_log_msg (not introspectable) will overwrite previous messages.

Parameters:

`ad` (GstGL.GLAsyncDebug) –

a GstGL.GLAsyncDebug

Since : 1.8

#### GstGL.GLAsyncDebug.freeze

    def GstGL.GLAsyncDebug.freeze (self):
        #python wrapper for 'gst_gl_async_debug_freeze'

freeze the debug output. While frozen, any call to GstGL.GLAsyncDebug.output_log_msg will not output any messages but subsequent calls to gst_gl_async_debug_store_log_msg (not introspectable) will overwrite previous messages.

Parameters:

`ad` (GstGL.GLAsyncDebug) –

a GstGL.GLAsyncDebug

Since : 1.8

#### gst_gl_async_debug_init

    gst_gl_async_debug_init (GstGLAsyncDebug * ad)

Initialize ad. Intended for use with GstGLAsyncDebug's that are embedded in other structs.

Parameters:

`ad` –

a GstGLAsyncDebug

Since : 1.8

#### GstGL.GLAsyncDebug.prototype.init

    function GstGL.GLAsyncDebug.prototype.init(): {
        // javascript wrapper for 'gst_gl_async_debug_init'
    }

Initialize ad. Intended for use with GstGL.GLAsyncDebug's that are embedded in other structs.

Parameters:

`ad` (GstGL.GLAsyncDebug) –

a GstGL.GLAsyncDebug

Since : 1.8

#### GstGL.GLAsyncDebug.init

    def GstGL.GLAsyncDebug.init (self):
        #python wrapper for 'gst_gl_async_debug_init'

Initialize ad. Intended for use with GstGL.GLAsyncDebug's that are embedded in other structs.

Parameters:

`ad` (GstGL.GLAsyncDebug) –

a GstGL.GLAsyncDebug

Since : 1.8

#### gst_gl_async_debug_output_log_msg

    gst_gl_async_debug_output_log_msg (GstGLAsyncDebug * ad)

Outputs a previously stored debug message.

Parameters:

`ad` –

the GstGLAsyncDebug to store the message in

#### GstGL.GLAsyncDebug.prototype.output_log_msg

    function GstGL.GLAsyncDebug.prototype.output_log_msg(): {
        // javascript wrapper for 'gst_gl_async_debug_output_log_msg'
    }

Outputs a previously stored debug message.

Parameters:

`ad` (GstGL.GLAsyncDebug) –

the GstGL.GLAsyncDebug to store the message in

#### GstGL.GLAsyncDebug.output_log_msg

    def GstGL.GLAsyncDebug.output_log_msg (self):
        #python wrapper for 'gst_gl_async_debug_output_log_msg'

Outputs a previously stored debug message.

Parameters:

`ad` (GstGL.GLAsyncDebug) –

the GstGL.GLAsyncDebug to store the message in

#### gst_gl_async_debug_store_log_msg

    gst_gl_async_debug_store_log_msg (GstGLAsyncDebug * ad,
                                      GstDebugCategory * cat,
                                      GstDebugLevel level,
                                      const gchar * file,
                                      const gchar * function,
                                      gint line,
                                      GObject * object,
                                      const gchar * format,
                                      ... ...)

Stores a debug message for later output by gst_gl_async_debug_output_log_msg

Parameters:

`ad` –

the GstGLAsyncDebug to store the message in

`cat` –

the GstDebugCategory to output the message in

`level` –

the GstDebugLevel

`file` –

the file where the debug message originates from

`function` –

the function where the debug message originates from

`line` –

the line in file where the debug message originates from

`object` ( [allow-none]) –

a GObject to associate with the debug message

`format` –

a printf style format string

`...` –

the list of arguments for format

Since : 1.8

#### gst_gl_async_debug_store_log_msg_valist

    gst_gl_async_debug_store_log_msg_valist (GstGLAsyncDebug * ad,
                                             GstDebugCategory * cat,
                                             GstDebugLevel level,
                                             const gchar * file,
                                             const gchar * function,
                                             gint line,
                                             GObject * object,
                                             const gchar * format,
                                             va_list varargs)

Stores a debug message for later output by gst_gl_async_debug_output_log_msg

Parameters:

`ad` –

the GstGLAsyncDebug to store the message in

`cat` –

the GstDebugCategory to output the message in

`level` –

the GstDebugLevel

`file` –

the file where the debug message originates from

`function` –

the function where the debug message originates from

`line` –

the line in file where the debug message originates from

`object` ( [allow-none]) –

a GObject to associate with the debug message

`format` –

a printf style format string

`varargs` –

the list of arguments for format

Since : 1.8

#### gst_gl_async_debug_thaw

    gst_gl_async_debug_thaw (GstGLAsyncDebug * ad)

unfreeze the debug output. See gst_gl_async_debug_freeze for what freezing means

Parameters:

`ad` –

a GstGLAsyncDebug

Since : 1.8

#### GstGL.GLAsyncDebug.prototype.thaw

    function GstGL.GLAsyncDebug.prototype.thaw(): {
        // javascript wrapper for 'gst_gl_async_debug_thaw'
    }

unfreeze the debug output. See GstGL.GLAsyncDebug.prototype.freeze for what freezing means

Parameters:

`ad` (GstGL.GLAsyncDebug) –

a GstGL.GLAsyncDebug

Since : 1.8

#### GstGL.GLAsyncDebug.thaw

    def GstGL.GLAsyncDebug.thaw (self):
        #python wrapper for 'gst_gl_async_debug_thaw'

unfreeze the debug output. See GstGL.GLAsyncDebug.freeze for what freezing means

Parameters:

`ad` (GstGL.GLAsyncDebug) –

a GstGL.GLAsyncDebug

Since : 1.8

#### gst_gl_async_debug_unset

    gst_gl_async_debug_unset (GstGLAsyncDebug * ad)

Unset any dynamically allocated data. Intended for use with GstGLAsyncDebug's that are embedded in other structs.

Parameters:

`ad` –

a GstGLAsyncDebug

#### GstGL.GLAsyncDebug.prototype.unset

    function GstGL.GLAsyncDebug.prototype.unset(): {
        // javascript wrapper for 'gst_gl_async_debug_unset'
    }

Unset any dynamically allocated data. Intended for use with GstGL.GLAsyncDebug's that are embedded in other structs.

Parameters:

`ad` (GstGL.GLAsyncDebug) –

a GstGL.GLAsyncDebug

#### GstGL.GLAsyncDebug.unset

    def GstGL.GLAsyncDebug.unset (self):
        #python wrapper for 'gst_gl_async_debug_unset'

Unset any dynamically allocated data. Intended for use with GstGL.GLAsyncDebug's that are embedded in other structs.

Parameters:

`ad` (GstGL.GLAsyncDebug) –

a GstGL.GLAsyncDebug

### Functions

#### gst_gl_async_debug_new

    GstGLAsyncDebug *
    gst_gl_async_debug_new ()

Free with gst_gl_async_debug_free

Returns –

a new GstGLAsyncDebug

Since : 1.8

## Functions

### gst_gl_insert_debug_marker

    gst_gl_insert_debug_marker (GstGLContext * context,
                                const gchar * format,
                                ... ...)

Inserts a marker into a GL debug stream. Requires the 'gldebugmarker' debug category to be at least GST_LEVEL_FIXME.

Parameters:

`context` –

a GstGLContext

`format` –

a printf-style format string

`...` –

arguments form format

Since : 1.8

## Function Macros

### GST_GL_ASYNC_CAT_LEVEL_LOG

    #define GST_GL_ASYNC_CAT_LEVEL_LOG(ad,cat,level,object,format,...)              \
        gst_gl_async_debug_store_log_msg (ad, cat, level, __FILE__, GST_FUNCTION,   \
            __LINE__, object, format, __VA_ARGS__)

Stores a debug message in ad for later output

Parameters:

`ad` –

the GstGLAsyncDebug to store the message in

`cat` –

the GstDebugCategory to output the message in

`level` –

the GstDebugLevel

`object` ( [allow-none]) –

a GObject to associate with the debug message

`format` –

a printf style format string

`...` –

the list of arguments for format

### GST_GL_ASYNC_CAT_LEVEL_LOG_valist

    #define GST_GL_ASYNC_CAT_LEVEL_LOG_valist(ad,cat,level,object,format,varargs)   \
        gst_gl_async_debug_store_log_msg_valist (ad, cat, level, __FILE__,          \
            GST_FUNCTION, __LINE__, object, format, varargs)

Stores a debug message in ad for later output

Parameters:

`ad` –

the GstGLAsyncDebug to store the message in

`cat` –

the GstDebugCategory to output the message in

`level` –

the GstDebugLevel

`object` ( [allow-none]) –

a GObject to associate with the debug message

`format` –

a printf style format string

`varargs` –

the list of arguments for format

## Callbacks

### GstGLAsyncDebugLogGetMessage

    gchar *
    (*GstGLAsyncDebugLogGetMessage) (gpointer user_data)

Parameters:

`user_data` –
No description available
Returns –
No description available

### GstGL.GLAsyncDebugLogGetMessage

    function GstGL.GLAsyncDebugLogGetMessage(user_data: Object): {
        // javascript wrapper for 'GstGLAsyncDebugLogGetMessage'
    }

Parameters:

`user_data` (Object) –
No description available
Returns (String) –
No description available

### GstGL.GLAsyncDebugLogGetMessage

    def GstGL.GLAsyncDebugLogGetMessage (*user_data):
        #python wrapper for 'GstGLAsyncDebugLogGetMessage'

Parameters:

`user_data` (variadic) –
No description available
Returns (str) –
No description available

The results of the search are